import matplotlib.rcsetup as rc
rc.defaultParams['axes.color_cycle'][0] = ['b', 'Teal', 'c', 'Lime', 'g', 'y', 'Chocolate', 'r', 'Orchid', 'm', 'k', 'DarkSlateGrey', 'SlateGrey']

import graph_comparison as gc

print("Loading Models")
models = gc.models.save_load.load_BGP()

print("Making Comparisons")
print("Degree Centrality")
gc.compare_graphs(models,filename='BGP',**gc.deg_cent_kw)

print("Page Rank")
gc.compare_graphs(models,filename='BGP',**gc.pr_cent_kw)

print("Betweenness Centrality")
gc.compare_graphs(models,filename='BGP',**gc.bt_cent_kw)
