import matplotlib.rcsetup as rc
rc.defaultParams['axes.color_cycle'][0] = ['b', 'Teal', 'c', 'Lime', 'g', 'y', 'Chocolate', 'r', 'Orchid', 'm', 'k', 'DarkSlateGrey', 'SlateGrey']

import graph_comparison as gc

print("Loading Data")
models = gc.models.save_load.load_BGP()

print("Making Comparisons")
print("Rich Club Coefficient")
gc.compare_graphs(models,
                  filename='BGP',
                  **gc.rich_club_kw)

print("Normalized Rich Club Coefficient")
gc.compare_graphs(models,
                  filename='BGP',
                  **gc.n_rich_club_kw)

print("S-Metric")
gc.compare_graphs(models,
                  filename='BGP',
                  **gc.smet_kw)

print("Degree Assortativity")
gc.compare_graphs(models,
                  filename='BGP',
                  **gc.assort_kw)

print("Clustering Coefficient")
gc.compare_graphs(models,
                  filename='BGP',
                  **gc.cluster_kw)

print("K-Cores")
gc.compare_graphs(models,
                  filename='BGP',
                  **gc.k_cores_kw)
