import matplotlib.rcsetup as rc
rc.defaultParams['axes.color_cycle'][0] = ['b', 'Teal', 'c', 'g', 'y', 'Chocolate', 'r', 'Orchid', 'm', 'k', 'DarkSlateGrey', 'SlateGrey']

import graph_comparison as gc

print("Loading Models")
models = gc.models.save_load.load_graphs(pathname = 'data/models/')

print("Making Comparisons")
print("Degree Centrality")
gc.compare_graphs(models,comp_model='AS10',filename='models',**gc.deg_cent_kw)

print("Page Rank")
gc.compare_graphs(models,comp_model='AS10',filename='models',**gc.pr_cent_kw)

print("Betweenness Centrality")
gc.compare_graphs(models,comp_model='AS10',filename='models',**gc.bt_cent_kw)
