import matplotlib.rcsetup as rc
rc.defaultParams['axes.color_cycle'][0] = ['b', 'Teal', 'c', 'g', 'y', 'Chocolate', 'r', 'Orchid', 'm', 'k', 'DarkSlateGrey', 'SlateGrey']

import graph_comparison as gc

print("Loading Models")
models = gc.models.save_load.load_graphs(pathname = 'data/models/')

print("Making Comparisons")
print("Rich Club Coefficient")
gc.compare_graphs(models,
                  comp_model='AS10',
                  filename='models',
                  **gc.rich_club_kw)

print("Normalized Rich Club Coefficient")
gc.compare_graphs(models,
                  comp_model='AS10',
                  filename='models',
                  **gc.n_rich_club_kw)

print("S-Metric")
gc.compare_graphs(models,
                  comp_model='AS10',
                  filename='models',
                  **gc.smet_kw)

print("Degree Assortativity")
gc.compare_graphs(models,
                  comp_model='AS10',
                  filename='models',
                  **gc.assort_kw)

models.pop('FKP')
models.pop('BFKP')
models.pop('MFKP')

print("Clustering Coefficient")
gc.compare_graphs(models,
                  comp_model='AS10',
                  filename='models',
                  **gc.cluster_kw)

models.pop('BA')
print("K-Cores")
gc.compare_graphs(models,
                  comp_model='AS10',
                  filename='models',
                  **gc.k_cores_kw)
